Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceApps

List all apps

Returns a list of all apps in the organization.

GET/v1/apps

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Query Parameters

cursor?string

Pagination cursor for next page

limit?integer

Maximum number of items to return

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.npayload.com/v1/apps"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "description": "string",
      "status": "active",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "cursor": "string",
    "hasMore": true
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}

Was this page helpful?